pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/41433: gettext-tools fails to build under AIX

>Number:         41433
>Category:       pkg
>Synopsis:       gettext-tools fails to build under AIX
>Confidential:   no
>Severity:       critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri May 15 14:30:01 +0000 2009
>Originator:     ttw
>Release:        AIX_5L
AIX snowwhite 3 5
'devel/gettext-tools' fails to build under AIX.  Hacking in static libraries 
via 'ar' avoids the problem.
Attempt to build 'devel/gettext-tools' under AIX 5.3 should display the problem.
Workaround only: the following static libraries appear to be required during 
the build process


whether this is indicative of a bigger problem i can't currently say.  To avoid 
the build errors 'cd' into the '.libs' directory of each of the above and 
execute the following

 # ar -rs "lib<libname>.a" *.o

NB: there appears to be some indication that the '.a' files are required in AIX 
(the statement not to delete them), however, it also appears that 
'--disable-static' has been set, presumably this is where the discrepancy's 

Home | Main Index | Thread Index | Old Index